EOX GitLab Instance

Skip to content
Snippets Groups Projects
Commit 37a32a62 authored by Mussab Abdalla's avatar Mussab Abdalla
Browse files

fixing sftp:tag

parent 44dfa823
No related branches found
No related tags found
1 merge request!49Production release 1.1.1
......@@ -31,7 +31,7 @@ build-tag:
- docker pull "$IMAGE_6":latest || true
- docker build --cache-from "$IMAGE_6":latest -t "$IMAGE_6":dev -t "$IMAGE_6":$CI_COMMIT_TAG ingestor/
- IMAGE_7="$CI_REGISTRY_IMAGE/pvs_sftp"
- docker pull "$IMAGE_7":latest || true
- docker pull "$IMAGE_7":$CI_COMMIT_TAG || true
- docker build --cache-from "$IMAGE_7":latest -t "$IMAGE_7":latest -t "$IMAGE_7":$CI_COMMIT_TAG sftp/
- cd ./testing && ./gitlab_test.sh
- if [ $? -ne 0 ]; then exit 1; fi # actually fail build
......@@ -74,7 +74,7 @@ build-master-staging:
- docker pull "$IMAGE_6":"$TAG_USED" || true
- docker build --cache-from "$IMAGE_6":"$TAG_USED" -t "$IMAGE_6":dev -t "$IMAGE_6":"$TAG_USED" ingestor/
- IMAGE_7="$CI_REGISTRY_IMAGE/pvs_sftp"
- docker pull "$IMAGE_7":latest || true
- docker pull "$IMAGE_7":$CI_COMMIT_TAG || true
- docker build --cache-from "$IMAGE_7":latest -t "$IMAGE_7":latest -t "$IMAGE_7":$CI_COMMIT_TAG sftp/
- cd ./testing && ./gitlab_test.sh
- if [ $? -ne 0 ]; then exit 1; fi # actually fail build
......@@ -84,6 +84,7 @@ build-master-staging:
- docker push "$IMAGE_4":"$TAG_USED"
- docker push "$IMAGE_5":"$TAG_USED"
- docker push "$IMAGE_6":"$TAG_USED"
- docker push "$IMAGE_7":"$TAG_USED"
only:
- staging
- master
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment